# Gets all of the billing templates in the system. This method will scan all billing templates and and return them to the caller. Endpoint: GET /billingTemplates/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `exclusiveStartKey` (string) The start key, if you're making a subsequent request ## Response 200 fields (application/json): - `auto_renewal_options` (object, required) - `auto_renewal_options.auto_renewal_failure_notice_id` (string) The notice to send when a membership is NOT successfully renewed - `auto_renewal_options.auto_renewal_success_notice_id` (string) The notice to send when a membership is successfully renewed - `auto_renewal_options.expiration_date_range_end` (object, required) The date to use to filter out which memberships are candidate - `auto_renewal_options.expiration_date_range_end.number` (number, required) The unit of time - `auto_renewal_options.expiration_date_range_end.position` (string, required) How the unit relates to the reference date Enum: "after", "before", "on" - `auto_renewal_options.expiration_date_range_end.relative_to` (string, required) Enum: "the beginning of the month", "the beginning of the quarter", "the beginning of the week", "the beginning of the year", "the end of the month", "the end of the quarter", "the end of the week", "the end of the year", "the reference date" - `auto_renewal_options.expiration_date_range_end.unit_of_time` (string, required) Enum: "days", "months", "weeks", "years" - `auto_renewal_options.expiration_date_range_start` (object, required) The date to use to filter out which memberships are candidate - `auto_renewal_options.include_only_certain_membership_packages` (boolean) Whether the process should apply only to certain member packages - `auto_renewal_options.include_only_certain_membership_types` (boolean) Whether the process should apply only to certain member types - `auto_renewal_options.include_only_certain_status_reasons` (boolean) Whether the process should apply only to certain member status reasons - `auto_renewal_options.membership_package_ids` (array) - `auto_renewal_options.membership_type_ids` (array) - `auto_renewal_options.new_status_reason_id` (string) Change the status reason - `auto_renewal_options.status_reason_ids` (array) - `auto_renewal_reminder_options` (object, required) - `auto_renewal_reminder_options.reminders` (array, required) - `auto_renewal_reminder_options.reminders.id` (number) A unique, unchangeable reminder id - `auto_renewal_reminder_options.reminders.name` (string) Optional name - `auto_renewal_reminder_options.reminders.reminder_notice_id` (string, required) The reminder notice - `description` (string) A description of the template - `drop_options` (object, required) - `drop_options.deactivate_certifications` (boolean) If true, any active certifications held by this member are rendered inactive - `drop_options.drop_notice_id` (string) The notice to send when a renewal order is created - `drop_options.expire_committee_memberships` (boolean) If true, dropped members are renewed from any committees, including any inherited memberships - `expiring_credit_card_reminders_options` (object, required) - `generate_renewal_notices` (boolean) Whether this template should be generating renewal notices - `generate_renewal_orders` (boolean) Whether this template should be generating renewal orders - `id` (string, required) The unique, string identifier of this billing template - `is_active` (boolean) Whether or not this billing template is active - `name` (string, required) The name of the billing template - `notification_email` (string) Te address to send notifications - `perform_auto_renewals` (boolean) Whether this template should be performing auto renewals - `perform_drops` (boolean) Whether this template should be dropping expired members - `renewal_notice_options` (object, required) - `renewal_notice_options.renewal_notice_id` (string) The notice to send when a renewal order is created - `renewal_order_options` (object, required) - `renewal_order_options.pro_forma` (boolean) Whether or not this should generate pro forma orders/invoices - `renewal_order_options.renewal_order_notice_id` (string) The notice to send when a renewal order is created - `renewal_reminder_options` (object, required) - `send_auto_renewal_reminders` (boolean) Whether this template should be generating reminders - `send_expiring_credit_card_reminders` (boolean) Whether to warn that someone's card is going to expire - `send_renewal_reminders` (boolean) Whether this template should be generating reminders - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields